{                                                                           }
{ File:       Greppola.Consts.pas                                            }
{ Function:   Constants for Greppola application                            }
{ Language:   Delphi 8 for the Microsoft .NET framework                     }
{ Author:     Rudy Velthuis                                                 }
{ Copyright:  (c) 2003,2004 Rudy Velthuis                                   }
{ Disclaimer: This code is freeware. All rights are reserved.               }
{             This code is provided as is, expressly without a warranty     }
{             of any kind. You use it at your own risk.                     }
{                                                                           }

unit GrepConsts;

interface

const
  // Ini file constants
  CIniFileName       = 'Greppola.ini';
  CSearchExpressions = 'Search Expressions';
  CFileMasks         = 'File Masks';
  CDirectories       = 'Directories';
  COptions           = 'Options';
  CPosition          = 'Position';
  CSubdirectories    = 'Subdirectories';
  CWholeWords        = 'Whole Words';
  CCaseSensitive     = 'Case Sensitive';
  CLineNumbers       = 'Line Numbers';
  CLeft              = 'Left';
  CTop               = 'Top';
  CWidth             = 'Width';
  CHeight            = 'Height';
  CItem              = 'Item';
  CCount             = 'Count';
  CWindowState       = 'Window State';

resourcestring
  // Captions
  SCaptionStop = '&Stop';
  SCaptionSearch = '&Search';

  // Status bar strings
  SOverflow = 'Overflow';
  SInsert = 'Insert';

  // Messages
  SErrorMessage = 'Error %d: %s.';
  SNotImplemented = 'Sorry, not available yet.';
  SSearching = 'Searching %s';
  SSearchedAndFound = 'Searched %d files, found %d lines in %d files.';
  SCouldntLoad = 'Couldn''t load %s.';
  SNoOccurrenceFound = 'Search string ''%s'' not found.';
  
implementation

end.
