{                                                                           }
{ File:       GrepConsts.pas                                                }
{ Function:   Constants for Greppola application                            }
{ Language:   Delphi 8 for the Microsoft .NET framework                     }
{ Author:     Rudy Velthuis                                                 }
{ Copyright:  (c) 2003,2004 Rudy Velthuis                                   }
{ Disclaimer: This code is freeware. All rights are reserved.               }
{             This code is provided as is, expressly without a warranty     }
{             of any kind. You use it at your own risk.                     }
{                                                                           }

unit GreppolaConsts;

interface

const
  // Ini file constants
  CIniFileName       = 'Greppola.ini';
  CSearchExpressions = 'Search Expressions';
  CFileMasks         = 'File Masks';
  CDirectories       = 'Directories';
  COptions           = 'Options';
  CPosition          = 'Position';
  CSubdirectories    = 'Subdirectories';
  CWholeWords        = 'Whole Words';
  CCaseSensitive     = 'Case Sensitive';
  CTextFiles         = 'Text Files';
  CSystemFolders     = 'System Folders';
  CLineNumbers       = 'Line Numbers';
  CLeft              = 'Left';
  CTop               = 'Top';
  CWidth             = 'Width';
  CHeight            = 'Height';
  CItem              = 'Item';
  CCount             = 'Count';
  CWindowState       = 'Window State';
  CFonts             = 'Fonts';
  CFileFont          = 'File Font';
  CTextFont          = 'Text Font';
  CBackgroundColor   = 'Background Color';
  CHighlightColor    = 'Highlight Color';
  CFoundColor        = 'Found Color';
  CHighlightStyle    = 'Highlight Style';

resourcestring
  // Captions
  RsrcCaptionStop = '&Stop';
  RsrcCaptionSearch = '&Search';

  // Status bar strings
  RsrcOverflow = 'Overflow';
  RsrcInsert = 'Insert';

  // Messages
  SCouldntLoad = 'Couldn''t load %s.';
  SErrorMessage = 'Error %d: %s.';
  SNoOccurrenceFound = 'Search string ''%s'' not found.';
  SNotImplemented = 'Sorry, not available yet.';
  SSearchedAndFound = 'Searched %d files, found %d lines in %d files.';
  SSearching = 'Searching %s';

const
  StrChangedOption = 'ChangedOption';
  StrDateOption = 'DateOption';
  StrFromDate = 'FromDate';
  StrSearchOptions = 'Search Options';
  StrSize = 'Size';
  StrSizeOption = 'SizeOption';
  StrSizeSizeOption = 'SizeSizeOption';
  StrToDate = 'ToDate';

  
implementation

end.
